import * as _nuxt_schema from '@nuxt/schema';
import { Options } from 'stylelint-webpack-plugin';
import * as Stylelint from 'stylelint';

type StylelintLinterOptions = Partial<Stylelint.LinterOptions>;
type FilterPattern = string | string[];
type StylelintFormatter = Exclude<StylelintLinterOptions['formatter'], string | undefined>;
type StylelintFormatterType = Exclude<StylelintLinterOptions['formatter'], StylelintFormatter | undefined>;
interface StylelintPluginOptions extends StylelintLinterOptions {
    dev: boolean;
    build: boolean;
    cache: boolean;
    cacheLocation: string;
    include: FilterPattern;
    exclude: FilterPattern;
    stylelintPath: string;
    formatter: StylelintFormatterType | StylelintFormatter;
    lintInWorker: boolean;
    lintOnStart: boolean;
    chokidar: boolean;
    emitError: boolean;
    emitErrorAsWarning: boolean;
    emitWarning: boolean;
    emitWarningAsError: boolean;
}
type StylelintPluginUserOptions = Partial<StylelintPluginOptions>;

type ModuleOptions = StylelintPluginUserOptions & Options;
declare const _default: _nuxt_schema.NuxtModule<ModuleOptions>;

export { ModuleOptions, _default as default };
